Issue Reward
cURL
curl --request POST \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reward/issue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"locationExternalReference": "Company_Club",
"amountToRedeem": 50,
"tierDiscountValue": 0,
"issueAuditUser": "Joe"
}
'```
### Python
```python
import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reward/issue"
payload = {
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"locationExternalReference": "Company_Club",
"amountToRedeem": 50,
"tierDiscountValue": 0,
"issueAuditUser": "Joe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profileId: '67460e74-02e3-11e8-b443-00163e990bdb',
locationExternalReference: 'Company_Club',
amountToRedeem: 50,
tierDiscountValue: 0,
issueAuditUser: 'Joe'
})
};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reward/issue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reward/issue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'profileId' => '67460e74-02e3-11e8-b443-00163e990bdb',
'locationExternalReference' => 'Company_Club',
'amountToRedeem' => 50,
'tierDiscountValue' => 0,
'issueAuditUser' => 'Joe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reward/issue"
payload := strings.NewReader("{\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\",\n \"locationExternalReference\": \"Company_Club\",\n \"amountToRedeem\": 50,\n \"tierDiscountValue\": 0,\n \"issueAuditUser\": \"Joe\"}\n")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.post("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reward/issue")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\",\n \"locationExternalReference\": \"Company_Club\",\n \"amountToRedeem\": 50,\n \"tierDiscountValue\": 0,\n \"issueAuditUser\": \"Joe\"}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reward/issue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\",\n \"locationExternalReference\": \"Company_Club\",\n \"amountToRedeem\": 50,\n \"tierDiscountValue\": 0,\n \"issueAuditUser\": \"Joe\"}\n"
response = http.request(request)
puts response.read_body
Response
{
"status": 201,
"message": "Created",
"errors": {},
"data": {
"rewardPointCost": 0.5,
"rewardValue": 100,
"rewardName": "Demo Reward",
"redemptionCode": "c48e8827-2a72-4a0f-a4d2-2347b11b4f34"
}
}
{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}
{
"detail": "Authentication Failed"
}
Authorizations
- Authorization: string, required – Bearer authentication header of the form
Bearer <token>.
Body
- profileId: string, required – Profile ID of the member.
- locationExternalReference: string, required – External reference ID of the location.
- amountToRedeem: number, required – Dollar amount being redeemed.
- tierDiscountValue: number, required – Tier-based discounts.
- issueAuditUser: string, required – Name of the representative issuing the reward.